
#version 450 core
layout (location = 0) in vec2 position; // <vec2 position>
layout (location = 1) in vec4 color; // <vec4 color>

out vec4 o_Color;

uniform mat4 projview;

void main()
{
    o_Color = color;//vec4(angle / 10.0, 0.0, 0.0, 1.0);
    gl_Position =  projview * vec4(position, 0.0, 1.0);
}